=== debian/changelog ===
ros-dashing-dwb-controller (0.2.6-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Carl Delsey <carl.r.delsey@intel.com>  Wed, 16 Oct 2019 17:51:13 -0000
