=== debian/control ===
Source: ros-dashing-dwb-controller
Section: misc
Priority: extra
Maintainer: Carl Delsey <carl.r.delsey@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-pytest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-dwb-core, ros-dashing-launch, ros-dashing-launch-testing, ros-dashing-nav-2d-msgs, ros-dashing-nav-2d-utils, ros-dashing-nav2-common, ros-dashing-nav2-msgs, ros-dashing-nav2-util, ros-dashing-rclcpp, ros-dashing-rclcpp-action, ros-dashing-std-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-dwb-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-dwb-core, ros-dashing-nav-2d-msgs, ros-dashing-nav-2d-utils, ros-dashing-nav2-msgs, ros-dashing-nav2-util, ros-dashing-rclcpp, ros-dashing-rclcpp-action, ros-dashing-std-msgs, ros-dashing-ros-workspace
Description: TODO
